import { h } from '@stencil/core';
import { format } from '../../utils/utils';
export class MyComponent {
  constructor() {
    this.type = undefined;
    this.first = undefined;
    this.middle = undefined;
    this.last = undefined;
  }
  getText() {
    return format(this.first, this.middle, this.last);
  }
  render() {
    return h("div", null, h("h2", null, "Hello ", h("span", { style: { color: 'red' } }, this.type), " APP"), h("div", null, "Hello, World! I'm ", this.getText()));
  }
  static get is() { return "my-component"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["my-component.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["my-component.css"]
    };
  }
  static get properties() {
    return {
      "type": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "The type"
        },
        "attribute": "type",
        "reflect": true
      },
      "first": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "The first name"
        },
        "attribute": "first",
        "reflect": true
      },
      "middle": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "The middle name"
        },
        "attribute": "middle",
        "reflect": true
      },
      "last": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "The last name"
        },
        "attribute": "last",
        "reflect": true
      }
    };
  }
}
//# sourceMappingURL=my-component.js.map
